Download it now!
Bug 54094 - UI: Outline numbering tooltips when scrolling are missing a space
Summary: UI: Outline numbering tooltips when scrolling are missing a space
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.3.0 release
Hardware: All All
: low trivial
Assignee: Cédric Bosdonnat
URL:
Whiteboard: target:3.7.0 target:3.6.4
Keywords: easyHack, skillCpp
Depends on:
Blocks:
 
Reported: 2012-08-26 19:18 UTC by Muz
Modified: 2015-12-16 00:43 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Shows the faulty text in the tooltip (73.90 KB, image/png)
2012-08-26 19:18 UTC, Muz
Details
A simple sample file, created according to the steps given in comment #0 (10.62 KB, application/vnd.oasis.opendocument.text)
2012-09-25 14:11 UTC, Roman Eisele
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Muz 2012-08-26 19:18:49 UTC
Created attachment 66148 [details]
Shows the faulty text in the tooltip

Create a document with outline numbering enabled and visible (Tools > Outline Numbering)
Insert a number of headers that span several pages
Scroll the document paying attention to the tooltip that appears for quick navigation

The tooltip features text of "{$outline_number}{$heading}".

It should be  "{$outline_number} {$heading}".

See the attached image.
Comment 1 Roman Eisele 2012-09-25 14:11:26 UTC
Created attachment 67684 [details]
A simple sample file, created according to the steps given in comment #0
Comment 2 Roman Eisele 2012-09-25 14:12:56 UTC
Comment on attachment 67684 [details]
A simple sample file, created according to the steps given in comment #0

Improved MIME type (this new bugzilla version is really annoying :-(
Comment 3 Roman Eisele 2012-09-25 14:18:18 UTC
Thank you very much for your bug report!

REPRODUCIBLE with
* LibreOffice 3.3.0
* LibreOffice 3.4.6
* LibreOffice 3.6.2.1
* LOdev 3.7.0.0.alpha0+, Build ID: 6a8694d, pull time: 2012-09-20 05:53:26
all on Mac OS X 10.6.8 (Intel).

So indeed a very old bug, but well worth fixing.

Maybe an easy hack?!
Comment 4 Roman Eisele 2012-09-25 14:30:51 UTC
Also reproducible with LibO 3.5.6.2 on Win XP, therefore Platform = “All”.
Comment 5 Roman Eisele 2012-09-25 14:34:09 UTC
@ Cédric Bosdonnat:

Hello Cédric,

do you think we could mark this little Writer bug as an “easy hack”?
It is really not very important, but IMHO it could be exactly the simple
kind of issue which is often welcome to beginners ...

Thank you!
Comment 6 Cédric Bosdonnat 2012-10-10 13:32:59 UTC
Oops, I fixed it while searching for the code pointers... commit is blocked between others in some feature work on my local branch, will push it later.
Comment 7 Not Assigned 2012-10-11 15:52:14 UTC
Cedric Bosdonnat committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0c0e5c82c7d9fb790d0894c28af5cff99d71a910

fdo#54094: Add a space in sw outline tooltips



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Roman Eisele 2012-10-11 16:19:09 UTC
@ Cédric:
Thank you very much for fixing this little glitch “by accident” ;-)

Could we please get that fix for 3.6, too?
Comment 9 Not Assigned 2012-10-15 09:18:15 UTC
Cedric Bosdonnat committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=358c53f9751ba8c27097aea25707af70ddb729d5&g=libreoffice-3-6

fdo#54094: Add a space in sw outline tooltips


It will be available in LibreOffice 3.6.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Cédric Bosdonnat 2012-10-15 13:22:46 UTC
fixed
Comment 11 Roman Eisele 2012-10-17 09:00:46 UTC
VERIFIED as FIXED:

while I can still reproduce the problem on Mac OS X 10.6.8 (Intel) with
  LOdev 3.7.0.0.alpha0+ (build ID: 1ae1bca; pull time: 2012-10-09 04:37:06)
I can no longer reproduce it on the same machine with
  LOdev 3.7.0.0.alpha0+ (build ID: c252694; pull time: 2012-10-12 22:05:41)
. Thank you again!
Comment 12 Robinson Tryon (qubit) 2015-12-16 00:43:29 UTC Comment hidden (obsolete)